function [timeVec, adapted] = simTime2vector(t0,t1,h)
%% Simulationszeit
% [timeVec, adapted] = simTime2vector(t0,t1,h)
%
% Erzeugt einen Vekor der Form timeVec = [t0, t0+h, ... t1-h, t1]
% Und passt ggf. die Schrittweite des letzten Schrittes an um Endwert t1 zu erhalten
%
% Numerische Methoden der Dynamik - SS19
% Dr.-Ing. Pascal Ziegler
%
% Institut f�r Technische und Numerische Mechanik
% Prof. Dr.-Ing. Prof. E.h. P. Eberhard
%
% Autor: Andreas Hofmann, M.Sc.
%

adapted = false;

timeVec = t0:h:t1;

if timeVec(end) < t1
    timeVec = [timeVec, t1];
    adapted = true;
end