function result = myPrecision(expression)
%% Erzwingen einer abweichenden Darstellungsgenauigkeit der Dezimalzahlen
% result = myPrecision(expression)
% siehe Hilfe:
% > vpa()
% > digits
%
% Numerische Methoden der Dynamik - SS19
% Dr.-Ing. Pascal Ziegler
%
% Institut fuer Technische und Numerische Mechanik
% Prof. Dr.-Ing. Prof. E.h. P. Eberhard
%
% Autor: Andreas Hofmann, M.Sc.
%

global precisionControl % Globale Variable

if precisionControl
        result = double(vpa(expression)); % runden des uebergebenen Ausdruckes 
    else
        result = expression; % Rechnen mit der Standardgenauigkeit
end
end